package cn.estsh.i3plus.pojo.aps.model;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.List;

/**
 * @Description : 表格分页查询参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-11-22
 * @Modify:
 **/
@Data
@Api("表格分页查询参数")
public class APSPager extends Pager {
    public static class SortData {
        // 排序对象
        private String name;
        // 排序类型，1为升序，0为降序
        private int orderType;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }

        public int getOrderType() {
            return orderType;
        }

        public void setOrderType(int orderType) {
            this.orderType = orderType;
        }
    }
    private String filter;
    private List<SortData> sorts;
    private String query;
}
